org.eclipse.incquery.runtime.rete.recipes.impl

## Class TransitiveClosureRecipeImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.incquery.runtime.rete.recipes.impl.ReteNodeRecipeImpl
          - - org.eclipse.incquery.runtime.rete.recipes.impl.SingleParentNodeRecipeImpl
            - - org.eclipse.incquery.runtime.rete.recipes.impl.AlphaRecipeImpl
              - - org.eclipse.incquery.runtime.rete.recipes.impl.TransitiveClosureRecipeImpl

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, AlphaRecipe, ReteNodeRecipe, SingleParentNodeRecipe, TransitiveClosureRecipe

      public class TransitiveClosureRecipeImpl
      extends AlphaRecipeImpl
      implements TransitiveClosureRecipe

  An implementation of the model object 'Transitive Closure Recipe'.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `eDerivedOperationID(int baseOperationID, java.lang.Class<?> baseClass)`
    `java.lang.Object` | `eInvoke(int operationID, org.eclipse.emf.common.util.EList<?> arguments)`
    `int` | `getArity()`

    - ### Methods inherited from class org.eclipse.incquery.runtime.rete.recipes.impl.SingleParentNodeRecipeImpl

      `basicGetParent, eGet, eIsSet, eSet, eUnset, getParent, setParent`

    - ### Methods inherited from class org.eclipse.incquery.runtime.rete.recipes.impl.ReteNodeRecipeImpl

      `getTraceInfo, setTraceInfo, toString`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.incquery.runtime.rete.recipes.SingleParentNodeRecipe

      `getParent, setParent`

    - ### Methods inherited from interface org.eclipse.incquery.runtime.rete.recipes.ReteNodeRecipe

      `getTraceInfo, setTraceInfo`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Method Detail

    - #### getArity

          public int getArity()

      Specified by:
        `getArity` in interface `ReteNodeRecipe`
      Specified by:
        `getArity` in interface `TransitiveClosureRecipe`
      Overrides:
        `getArity` in class `ReteNodeRecipeImpl`

    - #### eDerivedOperationID

          public int eDerivedOperationID(int baseOperationID,
                                         java.lang.Class<?> baseClass)

      Specified by:
        `eDerivedOperationID` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eDerivedOperationID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

    - #### eInvoke

          public java.lang.Object eInvoke(int operationID,
                                          org.eclipse.emf.common.util.EList<?> arguments)
                                   throws java.lang.reflect.InvocationTargetException

      Specified by:
        `eInvoke` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eInvoke` in class `ReteNodeRecipeImpl`
      Throws:
        `java.lang.reflect.InvocationTargetException`